#
# spec file for package libva-vdpau-driver
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           libva-vdpau-driver
Version:        0.7.4
Release:        5.3
License:        GPL-2.0+
Summary:        HW video decode support for VDPAU platforms
Url:            http://cgit.freedesktop.org/vaapi/vdpau-driver
Group:          System/Libraries
Source:         http://www.freedesktop.org/software/vaapi/releases/%{name}/%{name}-%{version}.tar.bz2
Patch0:         libva-vdpau-driver-0.7.4-glext-85.patch
Patch1:         libva-vdpau-driver-0.7.4-drop-h264-api.patch
Patch2:         libva-vdpau-driver-0.7.4-fix_type.patch
BuildRequires:  libva-devel
BuildRequires:  libvdpau-devel
BuildRequires:  Mesa-devel
BuildRequires:  pkgconfig

BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
VDPAU Backend for Video Acceleration (VA) API.
%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
cat > %{name}.sh << EOF
# use this library when NVIDIA's proprietary driver is running
if test -c /dev/nvidiactl; then
  export LIBVA_DRIVER_NAME='vdpau'
fi
EOF
cat > %{name}.csh << EOF
# use this library when NVIDIA's proprietary driver is running
if (-c /dev/nvidiactl) then
  setenv LIBVA_DRIVER_NAME 'vdpau'
endif
EOF

%build
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} %{?_smp_mflags}
find %{buildroot} -name '*.la' -delete
install -Dm 0644 %{name}.sh %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh
install -Dm 0644 %{name}.csh %{buildroot}%{_sysconfdir}/profile.d/%{name}.csh

%files
%defattr(-,root,root)
%doc README COPYING AUTHORS NEWS
%{_libdir}/dri/*.so
%config %{_sysconfdir}/profile.d/%{name}.*sh

%changelog
* Tue Mar 17 2015 sndirsch@suse.com
- use this library by default when NVIDIA's proprietary driver is
  running
* Mon Feb  9 2015 zaitor@opensuse.org
- Initial packaging for openSUSE.
